<template>
	<h1>Suppliers</h1>
	<a v-link="{ path: '/add-supplier' }">Add supplier</a>

	<datatable :url="'/api/v1/suppliers'" :columns="columns" :options="options"></datatable>
</template>
<style>
</style>
<script>
	import datatable from './datatable.vue';
	export default{
		data(){
			return {
				columns: [
					{
						data: "name",
						title: "Name",
						render: function (data, type, row) {
//							console.log(data);
//							console.log(type);
							console.log(row);
							return '<a href="#!/supplier/' + row._id + '">' + data + '</a>';
						}
					},
					{
						data: "contact_person",
						title: "Contact",
						render: function (data, type, row) {
							return data.name + " " + data.surname;
						}
					},
					{data: "status", title: "Status"}
				],
				options: {
					searching: false,
					sorting: false,
				}
			}
		},
		components: {datatable}
	}
</script>
